Advertisement
Guest User

Untitled

a guest
Aug 30th, 2015
69
0
Never
Not a member of Pastebin yet? Sign Up, it unlocks many cool features!
text 51.31 KB | None | 0 0
  1.  
  2. ...snip...
  3.  
  4. ++ dirname /var/lib/dokku/plugins/domains/commands
  5. + source /var/lib/dokku/plugins/domains/../common/functions
  6. ++ set -eo pipefail
  7. ++ [[ -n 1 ]]
  8. ++ set -x
  9. + RE_IPV4='([0-9]{1,3}[\.]){3}[0-9]{1,3}'
  10. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|'
  11. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|'
  12. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|'
  13. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|'
  14. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|'
  15. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|'
  16. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|'
  17. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|'
  18. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|'
  19. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|'
  20. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|'
  21. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|([0-9a-fA-F]{1,4}:){1,4}:([0-9]{1,3}[\.]){3}[0-9]{1,3}'
  22. + RE_IPV4='([0-9]{1,3}[\.]){3}[0-9]{1,3}$'
  23. + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|([0-9a-fA-F]{1,4}:){1,4}:([0-9]{1,3}[\.]){3}[0-9]{1,3}$'
  24. + case "$1" in
  25. + exit 10
  26. + exit_code=10
  27. + set -e
  28. + [[ 10 -eq 10 ]]
  29. + continue
  30. + for script in '$PLUGIN_PATH/*/commands'
  31. + set +e
  32. + /var/lib/dokku/plugins/git/commands git-receive-pack ''\''test-static-buildpack'\'''
  33. ++ dirname /var/lib/dokku/plugins/git/commands
  34. + source /var/lib/dokku/plugins/git/../common/functions
  35. ++ set -eo pipefail
  36. ++ [[ -n 1 ]]
  37. ++ set -x
  38. + case "$1" in
  39. ++ echo ''\''test-static-buildpack'\'''
  40. ++ sed 's/\\'\''/'\''/g'
  41. ++ perl -pe 's/(?<!\\)'\''//g'
  42. ++ sed 's/^\///g'
  43. + APP=test-static-buildpack
  44. + APP_PATH=/home/dokku/test-static-buildpack
  45. + [[ git-receive-pack == \g\i\t\-\r\e\c\e\i\v\e\-\p\a\c\k ]]
  46. + [[ ! -d /home/dokku/test-static-buildpack/refs ]]
  47. + [[ git-receive-pack == \g\i\t\-\r\e\c\e\i\v\e\-\p\a\c\k ]]
  48. + args='git-receive-pack '\''/home/dokku/test-static-buildpack'\'''
  49. + git-shell -c 'git-receive-pack '\''/home/dokku/test-static-buildpack'\'''
  50. Counting objects: 142, done.
  51. Delta compression using up to 8 threads.
  52. Compressing objects: 100% (140/140), done.
  53. Writing objects: 100% (142/142), 46.18 MiB | 389.00 KiB/s, done.
  54. Total 142 (delta 2), reused 0 (delta 0)
  55. remote: + [[ -f /home/dokku/dokkurc ]]
  56. remote: + [[ -d /home/dokku/.dokkurc ]]
  57. remote: + for f in '$DOKKU_ROOT/.dokkurc/*'
  58. remote: + source /home/dokku/.dokkurc/DOKKU_TRACE
  59. remote: ++ export DOKKU_TRACE=1
  60. remote: ++ DOKKU_TRACE=1
  61. remote: + [[ -n 1 ]]
  62. remote: + set -x
  63. remote: + parse_args git-hook test-static-buildpack
  64. remote: + for arg in '"$@"'
  65. remote: + case "$arg" in
  66. remote: + for arg in '"$@"'
  67. remote: + case "$arg" in
  68. remote: + return 0
  69. remote: + args=("$@")
  70. remote: + [[ git-hook =~ ^--.* ]]
  71. remote: + has_tty
  72. remote: ++ /usr/bin/tty
  73. remote: ++ true
  74. remote: + [[ not a tty == \n\o\t\ \a\ \t\t\y ]]
  75. remote: + return 1
  76. remote: + DOKKU_QUIET_OUTPUT=1
  77. remote: ++ id -un
  78. remote: + [[ dokku != \d\o\k\k\u ]]
  79. remote: + [[ -n '' ]]
  80. remote: + case "$1" in
  81. remote: + implemented=0
  82. remote: + for script in '$PLUGIN_PATH/*/commands'
  83. remote: + set +e
  84. remote: + /var/lib/dokku/plugins/00_dokku-standard/commands git-hook test-static-buildpack
  85. remote: ++ dirname /var/lib/dokku/plugins/00_dokku-standard/commands
  86. remote: + source /var/lib/dokku/plugins/00_dokku-standard/../common/functions
  87. remote: ++ set -eo pipefail
  88. remote: ++ [[ -n 1 ]]
  89. remote: ++ set -x
  90. remote: + case "$1" in
  91. remote: + exit 10
  92. remote: + exit_code=10
  93. remote: + set -e
  94. remote: + [[ 10 -eq 10 ]]
  95. remote: + continue
  96. remote: + for script in '$PLUGIN_PATH/*/commands'
  97. remote: + set +e
  98. remote: + /var/lib/dokku/plugins/20_events/commands git-hook test-static-buildpack
  99. remote: ++ dirname /var/lib/dokku/plugins/20_events/commands
  100. remote: + source /var/lib/dokku/plugins/20_events/../common/functions
  101. remote: ++ set -eo pipefail
  102. remote: ++ [[ -n 1 ]]
  103. remote: ++ set -x
  104. remote: ++ dirname /var/lib/dokku/plugins/20_events/commands
  105. remote: + PLUGIN_DIR=/var/lib/dokku/plugins/20_events
  106. remote: + case "$1" in
  107. remote: + exit 10
  108. remote: + exit_code=10
  109. remote: + set -e
  110. remote: + [[ 10 -eq 10 ]]
  111. remote: + continue
  112. remote: + for script in '$PLUGIN_PATH/*/commands'
  113. remote: + set +e
  114. remote: + /var/lib/dokku/plugins/apps/commands git-hook test-static-buildpack
  115. remote: ++ dirname /var/lib/dokku/plugins/apps/commands
  116. remote: + source /var/lib/dokku/plugins/apps/../common/functions
  117. remote: ++ set -eo pipefail
  118. remote: ++ [[ -n 1 ]]
  119. remote: ++ set -x
  120. remote: + case "$1" in
  121. remote: + exit 10
  122. remote: + exit_code=10
  123. remote: + set -e
  124. remote: + [[ 10 -eq 10 ]]
  125. remote: + continue
  126. remote: + for script in '$PLUGIN_PATH/*/commands'
  127. remote: + set +e
  128. remote: + /var/lib/dokku/plugins/backup/commands git-hook test-static-buildpack
  129. remote: + CURRENT_BACKUP_VERSION=1
  130. remote: + case "$1" in
  131. remote: + exit 10
  132. remote: + exit_code=10
  133. remote: + set -e
  134. remote: + [[ 10 -eq 10 ]]
  135. remote: + continue
  136. remote: + for script in '$PLUGIN_PATH/*/commands'
  137. remote: + set +e
  138. remote: + /var/lib/dokku/plugins/config/commands git-hook test-static-buildpack
  139. remote: ++ dirname /var/lib/dokku/plugins/config/commands
  140. remote: + source /var/lib/dokku/plugins/config/../common/functions
  141. remote: ++ set -eo pipefail
  142. remote: ++ [[ -n 1 ]]
  143. remote: ++ set -x
  144. remote: + case "$1" in
  145. remote: + exit 10
  146. remote: + exit_code=10
  147. remote: + set -e
  148. remote: + [[ 10 -eq 10 ]]
  149. remote: + continue
  150. remote: + for script in '$PLUGIN_PATH/*/commands'
  151. remote: + set +e
  152. remote: + /var/lib/dokku/plugins/docker-options/commands git-hook test-static-buildpack
  153. remote: ++ dirname /var/lib/dokku/plugins/docker-options/commands
  154. remote: + source /var/lib/dokku/plugins/docker-options/../common/functions
  155. remote: ++ set -eo pipefail
  156. remote: ++ [[ -n 1 ]]
  157. remote: ++ set -x
  158. remote: + PHASES=(build deploy run)
  159. remote: + FILE_PREFIX=DOCKER_OPTIONS_
  160. remote: + case "$1" in
  161. remote: + exit 10
  162. remote: + exit_code=10
  163. remote: + set -e
  164. remote: + [[ 10 -eq 10 ]]
  165. remote: + continue
  166. remote: + for script in '$PLUGIN_PATH/*/commands'
  167. remote: + set +e
  168. remote: + /var/lib/dokku/plugins/domains/commands git-hook test-static-buildpack
  169. remote: ++ dirname /var/lib/dokku/plugins/domains/commands
  170. remote: + source /var/lib/dokku/plugins/domains/../common/functions
  171. remote: ++ set -eo pipefail
  172. remote: ++ [[ -n 1 ]]
  173. remote: ++ set -x
  174. remote: + RE_IPV4='([0-9]{1,3}[\.]){3}[0-9]{1,3}'
  175. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|'
  176. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|'
  177. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|'
  178. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|'
  179. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|'
  180. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|'
  181. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|'
  182. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|'
  183. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|'
  184. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|'
  185. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|'
  186. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|([0-9a-fA-F]{1,4}:){1,4}:([0-9]{1,3}[\.]){3}[0-9]{1,3}'
  187. remote: + RE_IPV4='([0-9]{1,3}[\.]){3}[0-9]{1,3}$'
  188. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|([0-9a-fA-F]{1,4}:){1,4}:([0-9]{1,3}[\.]){3}[0-9]{1,3}$'
  189. remote: + case "$1" in
  190. remote: + exit 10
  191. remote: + exit_code=10
  192. remote: + set -e
  193. remote: + [[ 10 -eq 10 ]]
  194. remote: + continue
  195. remote: + for script in '$PLUGIN_PATH/*/commands'
  196. remote: + set +e
  197. remote: + /var/lib/dokku/plugins/git/commands git-hook test-static-buildpack
  198. remote: ++ dirname /var/lib/dokku/plugins/git/commands
  199. remote: + source /var/lib/dokku/plugins/git/../common/functions
  200. remote: ++ set -eo pipefail
  201. remote: ++ [[ -n 1 ]]
  202. remote: ++ set -x
  203. remote: + case "$1" in
  204. remote: + APP=test-static-buildpack
  205. remote: + read oldrev newrev refname
  206. remote: + [[ refs/heads/master = \r\e\f\s\/\h\e\a\d\s\/\m\a\s\t\e\r ]]
  207. remote: + pluginhook -p receive-app test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  208. remote: ++ dirname /var/lib/dokku/plugins/20_events/receive-app
  209. remote: + source /var/lib/dokku/plugins/20_events/../common/functions
  210. remote: ++ set -eo pipefail
  211. remote: ++ [[ -n 1 ]]
  212. remote: ++ dirname /var/lib/dokku/plugins/git/receive-app
  213. remote: ++ set -x
  214. remote: + [[ ! -n '' ]]
  215. remote: + source /var/lib/dokku/plugins/git/../common/functions
  216. remote: ++ set -eo pipefail
  217. remote: ++ [[ -n 1 ]]
  218. remote: ++ set -x
  219. remote: + APP=test-static-buildpack
  220. remote: + REV=3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  221. remote: + '[' '!' -d /home/dokku/test-static-buildpack/refs ']'
  222. remote: + dokku git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  223. remote: + [[ -f /home/dokku/dokkurc ]]
  224. remote: + [[ -d /home/dokku/.dokkurc ]]
  225. remote: + for f in '$DOKKU_ROOT/.dokkurc/*'
  226. remote: + source /home/dokku/.dokkurc/DOKKU_TRACE
  227. remote: ++ export DOKKU_TRACE=1
  228. remote: ++ DOKKU_TRACE=1
  229. remote: + [[ -n 1 ]]
  230. remote: + set -x
  231. remote: + parse_args git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  232. remote: + for arg in '"$@"'
  233. remote: + case "$arg" in
  234. remote: + for arg in '"$@"'
  235. remote: + case "$arg" in
  236. remote: + for arg in '"$@"'
  237. remote: + case "$arg" in
  238. remote: + return 0
  239. remote: + args=("$@")
  240. remote: + [[ git-build =~ ^--.* ]]
  241. remote: + has_tty
  242. remote: ++ /usr/bin/tty
  243. remote: ++ true
  244. remote: + [[ not a tty == \n\o\t\ \a\ \t\t\y ]]
  245. remote: + return 1
  246. remote: + DOKKU_QUIET_OUTPUT=1
  247. remote: ++ id -un
  248. remote: + [[ dokku != \d\o\k\k\u ]]
  249. remote: + [[ -n '' ]]
  250. remote: + case "$1" in
  251. remote: + implemented=0
  252. remote: + for script in '$PLUGIN_PATH/*/commands'
  253. remote: + set +e
  254. remote: + /var/lib/dokku/plugins/00_dokku-standard/commands git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  255. remote: ++ dirname /var/lib/dokku/plugins/00_dokku-standard/commands
  256. remote: + source /var/lib/dokku/plugins/00_dokku-standard/../common/functions
  257. remote: ++ set -eo pipefail
  258. remote: ++ [[ -n 1 ]]
  259. remote: ++ set -x
  260. remote: + case "$1" in
  261. remote: + exit 10
  262. remote: + exit_code=10
  263. remote: + set -e
  264. remote: + [[ 10 -eq 10 ]]
  265. remote: + continue
  266. remote: + for script in '$PLUGIN_PATH/*/commands'
  267. remote: + set +e
  268. remote: + /var/lib/dokku/plugins/20_events/commands git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  269. remote: ++ dirname /var/lib/dokku/plugins/20_events/commands
  270. remote: + source /var/lib/dokku/plugins/20_events/../common/functions
  271. remote: ++ set -eo pipefail
  272. remote: ++ [[ -n 1 ]]
  273. remote: ++ set -x
  274. remote: ++ dirname /var/lib/dokku/plugins/20_events/commands
  275. remote: + PLUGIN_DIR=/var/lib/dokku/plugins/20_events
  276. remote: + case "$1" in
  277. remote: + exit 10
  278. remote: + exit_code=10
  279. remote: + set -e
  280. remote: + [[ 10 -eq 10 ]]
  281. remote: + continue
  282. remote: + for script in '$PLUGIN_PATH/*/commands'
  283. remote: + set +e
  284. remote: + /var/lib/dokku/plugins/apps/commands git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  285. remote: ++ dirname /var/lib/dokku/plugins/apps/commands
  286. remote: + source /var/lib/dokku/plugins/apps/../common/functions
  287. remote: ++ set -eo pipefail
  288. remote: ++ [[ -n 1 ]]
  289. remote: ++ set -x
  290. remote: + case "$1" in
  291. remote: + exit 10
  292. remote: + exit_code=10
  293. remote: + set -e
  294. remote: + [[ 10 -eq 10 ]]
  295. remote: + continue
  296. remote: + for script in '$PLUGIN_PATH/*/commands'
  297. remote: + set +e
  298. remote: + /var/lib/dokku/plugins/backup/commands git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  299. remote: + CURRENT_BACKUP_VERSION=1
  300. remote: + case "$1" in
  301. remote: + exit 10
  302. remote: + exit_code=10
  303. remote: + set -e
  304. remote: + [[ 10 -eq 10 ]]
  305. remote: + continue
  306. remote: + for script in '$PLUGIN_PATH/*/commands'
  307. remote: + set +e
  308. remote: + /var/lib/dokku/plugins/config/commands git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  309. remote: ++ dirname /var/lib/dokku/plugins/config/commands
  310. remote: + source /var/lib/dokku/plugins/config/../common/functions
  311. remote: ++ set -eo pipefail
  312. remote: ++ [[ -n 1 ]]
  313. remote: ++ set -x
  314. remote: + case "$1" in
  315. remote: + exit 10
  316. remote: + exit_code=10
  317. remote: + set -e
  318. remote: + [[ 10 -eq 10 ]]
  319. remote: + continue
  320. remote: + for script in '$PLUGIN_PATH/*/commands'
  321. remote: + set +e
  322. remote: + /var/lib/dokku/plugins/docker-options/commands git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  323. remote: ++ dirname /var/lib/dokku/plugins/docker-options/commands
  324. remote: + source /var/lib/dokku/plugins/docker-options/../common/functions
  325. remote: ++ set -eo pipefail
  326. remote: ++ [[ -n 1 ]]
  327. remote: ++ set -x
  328. remote: + PHASES=(build deploy run)
  329. remote: + FILE_PREFIX=DOCKER_OPTIONS_
  330. remote: + case "$1" in
  331. remote: + exit 10
  332. remote: + exit_code=10
  333. remote: + set -e
  334. remote: + [[ 10 -eq 10 ]]
  335. remote: + continue
  336. remote: + for script in '$PLUGIN_PATH/*/commands'
  337. remote: + set +e
  338. remote: + /var/lib/dokku/plugins/domains/commands git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  339. remote: ++ dirname /var/lib/dokku/plugins/domains/commands
  340. remote: + source /var/lib/dokku/plugins/domains/../common/functions
  341. remote: ++ set -eo pipefail
  342. remote: ++ [[ -n 1 ]]
  343. remote: ++ set -x
  344. remote: + RE_IPV4='([0-9]{1,3}[\.]){3}[0-9]{1,3}'
  345. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|'
  346. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|'
  347. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|'
  348. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|'
  349. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|'
  350. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|'
  351. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|'
  352. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|'
  353. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|'
  354. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|'
  355. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|'
  356. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|([0-9a-fA-F]{1,4}:){1,4}:([0-9]{1,3}[\.]){3}[0-9]{1,3}'
  357. remote: + RE_IPV4='([0-9]{1,3}[\.]){3}[0-9]{1,3}$'
  358. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|([0-9a-fA-F]{1,4}:){1,4}:([0-9]{1,3}[\.]){3}[0-9]{1,3}$'
  359. remote: + case "$1" in
  360. remote: + exit 10
  361. remote: + exit_code=10
  362. remote: + set -e
  363. remote: + [[ 10 -eq 10 ]]
  364. remote: + continue
  365. remote: + for script in '$PLUGIN_PATH/*/commands'
  366. remote: + set +e
  367. remote: + /var/lib/dokku/plugins/git/commands git-build test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  368. remote: ++ dirname /var/lib/dokku/plugins/git/commands
  369. remote: + source /var/lib/dokku/plugins/git/../common/functions
  370. remote: ++ set -eo pipefail
  371. remote: ++ [[ -n 1 ]]
  372. remote: ++ set -x
  373. remote: + case "$1" in
  374. remote: + APP=test-static-buildpack
  375. remote: + APP_BUILD_LOCK=/home/dokku/test-static-buildpack/.build.lock
  376. remote: + APP_BUILD_LOCK_MSG='test-static-buildpack is currently being deployed or locked. Waiting...'
  377. remote: ++ flock -n /home/dokku/test-static-buildpack/.build.lock true
  378. remote: ++ echo 0
  379. remote: + [[ 0 -ne 0 ]]
  380. remote: + shift 1
  381. remote: + flock -o /home/dokku/test-static-buildpack/.build.lock dokku git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  382. remote: + [[ -f /home/dokku/dokkurc ]]
  383. remote: + [[ -d /home/dokku/.dokkurc ]]
  384. remote: + for f in '$DOKKU_ROOT/.dokkurc/*'
  385. remote: + source /home/dokku/.dokkurc/DOKKU_TRACE
  386. remote: ++ export DOKKU_TRACE=1
  387. remote: ++ DOKKU_TRACE=1
  388. remote: + [[ -n 1 ]]
  389. remote: + set -x
  390. remote: + parse_args git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  391. remote: + for arg in '"$@"'
  392. remote: + case "$arg" in
  393. remote: + for arg in '"$@"'
  394. remote: + case "$arg" in
  395. remote: + for arg in '"$@"'
  396. remote: + case "$arg" in
  397. remote: + return 0
  398. remote: + args=("$@")
  399. remote: + [[ git-build-locked =~ ^--.* ]]
  400. remote: + has_tty
  401. remote: ++ /usr/bin/tty
  402. remote: ++ true
  403. remote: + [[ not a tty == \n\o\t\ \a\ \t\t\y ]]
  404. remote: + return 1
  405. remote: + DOKKU_QUIET_OUTPUT=1
  406. remote: ++ id -un
  407. remote: + [[ dokku != \d\o\k\k\u ]]
  408. remote: + [[ -n '' ]]
  409. remote: + case "$1" in
  410. remote: + implemented=0
  411. remote: + for script in '$PLUGIN_PATH/*/commands'
  412. remote: + set +e
  413. remote: + /var/lib/dokku/plugins/00_dokku-standard/commands git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  414. remote: ++ dirname /var/lib/dokku/plugins/00_dokku-standard/commands
  415. remote: + source /var/lib/dokku/plugins/00_dokku-standard/../common/functions
  416. remote: ++ set -eo pipefail
  417. remote: ++ [[ -n 1 ]]
  418. remote: ++ set -x
  419. remote: + case "$1" in
  420. remote: + exit 10
  421. remote: + exit_code=10
  422. remote: + set -e
  423. remote: + [[ 10 -eq 10 ]]
  424. remote: + continue
  425. remote: + for script in '$PLUGIN_PATH/*/commands'
  426. remote: + set +e
  427. remote: + /var/lib/dokku/plugins/20_events/commands git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  428. remote: ++ dirname /var/lib/dokku/plugins/20_events/commands
  429. remote: + source /var/lib/dokku/plugins/20_events/../common/functions
  430. remote: ++ set -eo pipefail
  431. remote: ++ [[ -n 1 ]]
  432. remote: ++ set -x
  433. remote: ++ dirname /var/lib/dokku/plugins/20_events/commands
  434. remote: + PLUGIN_DIR=/var/lib/dokku/plugins/20_events
  435. remote: + case "$1" in
  436. remote: + exit 10
  437. remote: + exit_code=10
  438. remote: + set -e
  439. remote: + [[ 10 -eq 10 ]]
  440. remote: + continue
  441. remote: + for script in '$PLUGIN_PATH/*/commands'
  442. remote: + set +e
  443. remote: + /var/lib/dokku/plugins/apps/commands git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  444. remote: ++ dirname /var/lib/dokku/plugins/apps/commands
  445. remote: + source /var/lib/dokku/plugins/apps/../common/functions
  446. remote: ++ set -eo pipefail
  447. remote: ++ [[ -n 1 ]]
  448. remote: ++ set -x
  449. remote: + case "$1" in
  450. remote: + exit 10
  451. remote: + exit_code=10
  452. remote: + set -e
  453. remote: + [[ 10 -eq 10 ]]
  454. remote: + continue
  455. remote: + for script in '$PLUGIN_PATH/*/commands'
  456. remote: + set +e
  457. remote: + /var/lib/dokku/plugins/backup/commands git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  458. remote: + CURRENT_BACKUP_VERSION=1
  459. remote: + case "$1" in
  460. remote: + exit 10
  461. remote: + exit_code=10
  462. remote: + set -e
  463. remote: + [[ 10 -eq 10 ]]
  464. remote: + continue
  465. remote: + for script in '$PLUGIN_PATH/*/commands'
  466. remote: + set +e
  467. remote: + /var/lib/dokku/plugins/config/commands git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  468. remote: ++ dirname /var/lib/dokku/plugins/config/commands
  469. remote: + source /var/lib/dokku/plugins/config/../common/functions
  470. remote: ++ set -eo pipefail
  471. remote: ++ [[ -n 1 ]]
  472. remote: ++ set -x
  473. remote: + case "$1" in
  474. remote: + exit 10
  475. remote: + exit_code=10
  476. remote: + set -e
  477. remote: + [[ 10 -eq 10 ]]
  478. remote: + continue
  479. remote: + for script in '$PLUGIN_PATH/*/commands'
  480. remote: + set +e
  481. remote: + /var/lib/dokku/plugins/docker-options/commands git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  482. remote: ++ dirname /var/lib/dokku/plugins/docker-options/commands
  483. remote: + source /var/lib/dokku/plugins/docker-options/../common/functions
  484. remote: ++ set -eo pipefail
  485. remote: ++ [[ -n 1 ]]
  486. remote: ++ set -x
  487. remote: + PHASES=(build deploy run)
  488. remote: + FILE_PREFIX=DOCKER_OPTIONS_
  489. remote: + case "$1" in
  490. remote: + exit 10
  491. remote: + exit_code=10
  492. remote: + set -e
  493. remote: + [[ 10 -eq 10 ]]
  494. remote: + continue
  495. remote: + for script in '$PLUGIN_PATH/*/commands'
  496. remote: + set +e
  497. remote: + /var/lib/dokku/plugins/domains/commands git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  498. remote: ++ dirname /var/lib/dokku/plugins/domains/commands
  499. remote: + source /var/lib/dokku/plugins/domains/../common/functions
  500. remote: ++ set -eo pipefail
  501. remote: ++ [[ -n 1 ]]
  502. remote: ++ set -x
  503. remote: + RE_IPV4='([0-9]{1,3}[\.]){3}[0-9]{1,3}'
  504. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|'
  505. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|'
  506. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|'
  507. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|'
  508. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|'
  509. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|'
  510. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|'
  511. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|'
  512. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|'
  513. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|'
  514. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|'
  515. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|([0-9a-fA-F]{1,4}:){1,4}:([0-9]{1,3}[\.]){3}[0-9]{1,3}'
  516. remote: + RE_IPV4='([0-9]{1,3}[\.]){3}[0-9]{1,3}$'
  517. remote: + RE_IPV6='([0-9a-fA-F]{1,4}:){7,7}[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,7}:|([0-9a-fA-F]{1,4}:){1,6}:[0-9a-fA-F]{1,4}|([0-9a-fA-F]{1,4}:){1,5}(:[0-9a-fA-F]{1,4}){1,2}|([0-9a-fA-F]{1,4}:){1,4}(:[0-9a-fA-F]{1,4}){1,3}|([0-9a-fA-F]{1,4}:){1,3}(:[0-9a-fA-F]{1,4}){1,4}|([0-9a-fA-F]{1,4}:){1,2}(:[0-9a-fA-F]{1,4}){1,5}|[0-9a-fA-F]{1,4}:((:[0-9a-fA-F]{1,4}){1,6})|:((:[0-9a-fA-F]{1,4}){1,7}|:)|fe08:(:[0-9a-fA-F]{1,4}){2,2}%[0-9a-zA-Z]{1,}|::(ffff(:0{1,4}){0,1}:){0,1}([0-9]{1,3}[\.]){3}[0-9]{1,3}|([0-9a-fA-F]{1,4}:){1,4}:([0-9]{1,3}[\.]){3}[0-9]{1,3}$'
  518. remote: + case "$1" in
  519. remote: + exit 10
  520. remote: + exit_code=10
  521. remote: + set -e
  522. remote: + [[ 10 -eq 10 ]]
  523. remote: + continue
  524. remote: + for script in '$PLUGIN_PATH/*/commands'
  525. remote: + set +e
  526. remote: + /var/lib/dokku/plugins/git/commands git-build-locked test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  527. remote: ++ dirname /var/lib/dokku/plugins/git/commands
  528. remote: + source /var/lib/dokku/plugins/git/../common/functions
  529. remote: ++ set -eo pipefail
  530. remote: ++ [[ -n 1 ]]
  531. remote: ++ set -x
  532. remote: + case "$1" in
  533. remote: + APP=test-static-buildpack
  534. remote: + [[ 3 -ge 3 ]]
  535. remote: + REF=3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  536. remote: + git_build_app_repo test-static-buildpack 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  537. remote: + verify_app_name test-static-buildpack
  538. remote: + local APP=test-static-buildpack
  539. remote: + [[ ! -n test-static-buildpack ]]
  540. remote: + [[ ! -d /home/dokku/test-static-buildpack ]]
  541. remote: + IMAGE=dokku/test-static-buildpack
  542. remote: + return 0
  543. remote: + APP=test-static-buildpack
  544. remote: + REV=3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  545. remote: ++ mktemp -d
  546. remote: + TMP_WORK_DIR=/tmp/tmp.thGkHd20aJ
  547. remote: + trap 'rm -rf "$TMP_WORK_DIR" > /dev/null' RETURN
  548. remote: + chmod 755 /tmp/tmp.thGkHd20aJ
  549. remote: + unset GIT_DIR GIT_WORK_TREE
  550. remote: + pushd /tmp/tmp.thGkHd20aJ
  551. remote: + git clone -q /home/dokku/test-static-buildpack /tmp/tmp.thGkHd20aJ
  552. remote: + git config advice.detachedHead false
  553. remote: + git checkout 3ad4bb9ec838f53017b3288daca5dd4304f9edc4
  554. remote: + git submodule update --init --recursive
  555. remote: + find -name .git -prune -exec rm -rf '{}' ';'
  556. remote: + [[ -f Dockerfile ]]
  557. remote: + dokku receive test-static-buildpack herokuish /tmp/tmp.thGkHd20aJ
  558. /'
  559. remote: + [[ -f /home/dokku/dokkurc ]]
  560. remote: + [[ -d /home/dokku/.dokkurc ]]
  561. remote: + for f in '$DOKKU_ROOT/.dokkurc/*'
  562. remote: + source /home/dokku/.dokkurc/DOKKU_TRACE
  563. remote: ++ export DOKKU_TRACE=1
  564. remote: ++ DOKKU_TRACE=1
  565. remote: + [[ -n 1 ]]
  566. remote: + set -x
  567. remote: + parse_args receive test-static-buildpack herokuish /tmp/tmp.thGkHd20aJ
  568. remote: + for arg in '"$@"'
  569. remote: + case "$arg" in
  570. remote: + for arg in '"$@"'
  571. remote: + case "$arg" in
  572. remote: + for arg in '"$@"'
  573. remote: + case "$arg" in
  574. remote: + for arg in '"$@"'
  575. remote: + case "$arg" in
  576. remote: + return 0
  577. remote: + args=("$@")
  578. remote: + [[ receive =~ ^--.* ]]
  579. remote: + has_tty
  580. remote: ++ /usr/bin/tty
  581. remote: ++ true
  582. remote: + [[ not a tty == \n\o\t\ \a\ \t\t\y ]]
  583. remote: + return 1
  584. remote: + DOKKU_QUIET_OUTPUT=1
  585. remote: ++ id -un
  586. remote: + [[ dokku != \d\o\k\k\u ]]
  587. remote: + [[ -n '' ]]
  588. remote: + case "$1" in
  589. remote: + APP=test-static-buildpack
  590. remote: + IMAGE=dokku/test-static-buildpack
  591. remote: + IMAGE_SOURCE_TYPE=herokuish
  592. remote: + TMP_WORK_DIR=/tmp/tmp.thGkHd20aJ
  593. remote: + dokku_log_info1 'Cleaning up...'
  594. remote: + echo '-----> Cleaning up...'
  595. remote: + dokku cleanup
  596. -----> Cleaning up...
  597. remote: + [[ -f /home/dokku/dokkurc ]]
  598. remote: + [[ -d /home/dokku/.dokkurc ]]
  599. remote: + for f in '$DOKKU_ROOT/.dokkurc/*'
  600. remote: + source /home/dokku/.dokkurc/DOKKU_TRACE
  601. remote: ++ export DOKKU_TRACE=1
  602. remote: ++ DOKKU_TRACE=1
  603. remote: + [[ -n 1 ]]
  604. remote: + set -x
  605. remote: + parse_args cleanup
  606. remote: + for arg in '"$@"'
  607. remote: + case "$arg" in
  608. remote: + return 0
  609. remote: + args=("$@")
  610. remote: + [[ cleanup =~ ^--.* ]]
  611. remote: + has_tty
  612. remote: ++ /usr/bin/tty
  613. remote: ++ true
  614. remote: + [[ not a tty == \n\o\t\ \a\ \t\t\y ]]
  615. remote: + return 1
  616. remote: + DOKKU_QUIET_OUTPUT=1
  617. remote: ++ id -un
  618. remote: + [[ dokku != \d\o\k\k\u ]]
  619. remote: + [[ -n '' ]]
  620. remote: + case "$1" in
  621. remote: ++ docker ps -a -f status=exited -q
  622. remote: + docker rm fa8ffa62b840 a34bf01e9b29 f2b6c8137d92 ef6251799af8
  623. remote: + dokku_log_info1 'Building test-static-buildpack from herokuish...'
  624. remote: + echo '-----> Building test-static-buildpack from herokuish...'
  625. remote: + dokku build test-static-buildpack herokuish /tmp/tmp.thGkHd20aJ
  626. -----> Building test-static-buildpack from herokuish...
  627. remote: ++ docker images -f dangling=true -q
  628. remote: + [[ -f /home/dokku/dokkurc ]]
  629. remote: + [[ -d /home/dokku/.dokkurc ]]
  630. remote: + for f in '$DOKKU_ROOT/.dokkurc/*'
  631. remote: + source /home/dokku/.dokkurc/DOKKU_TRACE
  632. remote: ++ export DOKKU_TRACE=1
  633. remote: ++ DOKKU_TRACE=1
  634. remote: + [[ -n 1 ]]
  635. remote: + set -x
  636. remote: + parse_args build test-static-buildpack herokuish /tmp/tmp.thGkHd20aJ
  637. remote: + for arg in '"$@"'
  638. remote: + case "$arg" in
  639. remote: + for arg in '"$@"'
  640. remote: + case "$arg" in
  641. remote: + for arg in '"$@"'
  642. remote: + case "$arg" in
  643. remote: + for arg in '"$@"'
  644. remote: + case "$arg" in
  645. remote: + return 0
  646. remote: + args=("$@")
  647. remote: + [[ build =~ ^--.* ]]
  648. remote: + has_tty
  649. remote: ++ /usr/bin/tty
  650. remote: ++ true
  651. remote: + [[ not a tty == \n\o\t\ \a\ \t\t\y ]]
  652. remote: + return 1
  653. remote: + DOKKU_QUIET_OUTPUT=1
  654. remote: ++ id -un
  655. remote: + [[ dokku != \d\o\k\k\u ]]
  656. remote: + [[ -n '' ]]
  657. remote: + case "$1" in
  658. remote: + implemented=0
  659. remote: + for script in '$PLUGIN_PATH/*/commands'
  660. remote: + set +e
  661. remote: + /var/lib/dokku/plugins/00_dokku-standard/commands build test-static-buildpack herokuish /tmp/tmp.thGkHd20aJ
  662. remote: ++ dirname /var/lib/dokku/plugins/00_dokku-standard/commands
  663. remote: + source /var/lib/dokku/plugins/00_dokku-standard/../common/functions
  664. remote: ++ set -eo pipefail
  665. remote: ++ [[ -n 1 ]]
  666. remote: ++ set -x
  667. remote: + case "$1" in
  668. remote: + APP=test-static-buildpack
  669. remote: + IMAGE=dokku/test-static-buildpack
  670. remote: + IMAGE_SOURCE_TYPE=herokuish
  671. remote: + TMP_WORK_DIR=/tmp/tmp.thGkHd20aJ
  672. remote: + CACHE_DIR=/home/dokku/test-static-buildpack/cache
  673. remote: + [[ -f /home/dokku/test-static-buildpack/ENV ]]
  674. remote: + pushd /tmp/tmp.thGkHd20aJ
  675. remote: + case "$IMAGE_SOURCE_TYPE" in
  676. remote: ++ docker run -i -a stdin gliderlabs/herokuish /bin/bash -c 'mkdir -p /app && tar -xC /app'
  677. remote: ++ tar -c .
  678. remote: + docker rmi a412aca6e211
  679. remote: + id=3c72ddc2bb8bc93137be8563d03dc5069721f0a730f539f87b3e7f170c1b1555
  680. remote: ++ docker wait 3c72ddc2bb8bc93137be8563d03dc5069721f0a730f539f87b3e7f170c1b1555
  681. remote: + test 0 -eq 0
  682. remote: + docker commit 3c72ddc2bb8bc93137be8563d03dc5069721f0a730f539f87b3e7f170c1b1555 dokku/test-static-buildpack
  683. remote: + [[ -d /home/dokku/test-static-buildpack/cache ]]
  684. remote: + mkdir /home/dokku/test-static-buildpack/cache
  685. remote: + pluginhook pre-build test-static-buildpack
  686. remote: ++ dirname /var/lib/dokku/plugins/build-env/pre-build
  687. remote: + source /var/lib/dokku/plugins/build-env/../common/functions
  688. remote: ++ set -eo pipefail
  689. remote: ++ [[ -n 1 ]]
  690. remote: ++ set -x
  691. remote: + APP=test-static-buildpack
  692. remote: + IMAGE=dokku/test-static-buildpack
  693. remote: + BUILD_ENV=
  694. remote: + [[ -f /home/dokku/BUILD_ENV ]]
  695. remote: + grep -q CURL_CONNECT_TIMEOUT /home/dokku/ENV
  696. remote: + grep -q CURL_TIMEOUT /home/dokku/ENV
  697. remote: + [[ -f /home/dokku/ENV ]]
  698. remote: + BUILD_ENV+='
  699. remote: '
  700. remote: + BUILD_ENV+='export CURL_CONNECT_TIMEOUT=5
  701. remote: export CURL_TIMEOUT=30'
  702. remote: + BUILD_ENV+='
  703. remote: '
  704. remote: + [[ -f /home/dokku/test-static-buildpack/ENV ]]
  705. remote: + [[ ! -z
  706. remote: export CURL_CONNECT_TIMEOUT=5
  707. remote: export CURL_TIMEOUT=30
  708. remote: ]]
  709. remote: + dokku_log_info1 'Adding BUILD_ENV to build environment...'
  710. remote: + echo '-----> Adding BUILD_ENV to build environment...'
  711. -----> Adding BUILD_ENV to build environment...
  712. remote: ++ echo export CURL_CONNECT_TIMEOUT=5 export CURL_TIMEOUT=30
  713. remote: ++ sed -e 's@export @@g' -e 's@\\n@ @g'
  714. remote: +++ cat
  715. remote: ++ docker run -i -a stdin dokku/test-static-buildpack /bin/bash -c 'for ENV_VAR in CURL_CONNECT_TIMEOUT=5 CURL_TIMEOUT=30; do echo $ENV_VAR |sed '\''s@^\([^=]*\)=\(.*\)$@echo \"\2\" >/tmp/env/\1@g'\'' >>/tmp/set_env.sh; done && mkdir -p /tmp/env && /bin/bash /tmp/set_env.sh'
  716. remote: + id=518aa68911b8f157dfaba3ac0ec0ea3ff1fd889cf66f3d840cbbb918c7384d79
  717. remote: ++ docker wait 518aa68911b8f157dfaba3ac0ec0ea3ff1fd889cf66f3d840cbbb918c7384d79
  718. remote: + test 0 -eq 0
  719. remote: + docker commit 518aa68911b8f157dfaba3ac0ec0ea3ff1fd889cf66f3d840cbbb918c7384d79 dokku/test-static-buildpack
  720. remote: ++ echo -e '
  721. remote: export CURL_CONNECT_TIMEOUT=5
  722. remote: export CURL_TIMEOUT=30
  723. remote: ++ docker run -i -a stdin dokku/test-static-buildpack /bin/bash -c 'cat >> /app/.env'
  724. remote: '
  725. remote: + id=08997fbbc39796993fcaba02603054a22ffca7677f8af33923221abb68bcbcd1
  726. remote: ++ docker wait 08997fbbc39796993fcaba02603054a22ffca7677f8af33923221abb68bcbcd1
  727. remote: + test 0 -eq 0
  728. remote: + docker commit 08997fbbc39796993fcaba02603054a22ffca7677f8af33923221abb68bcbcd1 dokku/test-static-buildpack
  729. remote: + pluginhook pre-build-buildstep test-static-buildpack
  730. remote: ++ dirname /var/lib/dokku/plugins/20_events/pre-build-buildstep
  731. remote: + source /var/lib/dokku/plugins/20_events/../common/functions
  732. remote: ++ set -eo pipefail
  733. remote: ++ [[ -n 1 ]]
  734. remote: ++ set -x
  735. remote: + [[ ! -n '' ]]
  736. remote: + pluginhook pre-build-buildpack test-static-buildpack
  737. remote: ++ :
  738. remote: ++ pluginhook docker-args test-static-buildpack build
  739. remote: ++ dirname /var/lib/dokku/plugins/postgres/docker-args
  740. remote: + source /var/lib/dokku/plugins/postgres/../common/functions
  741. remote: ++ set -eo pipefail
  742. remote: ++ [[ -n 1 ]]
  743. remote: ++ set -x
  744. remote: ++ dirname /var/lib/dokku/plugins/postgres/docker-args
  745. remote: + source /var/lib/dokku/plugins/postgres/functions
  746. remote: ++ set -eo pipefail
  747. remote: ++ [[ -n 1 ]]
  748. remote: ++ set -x
  749. remote: +++ dirname /var/lib/dokku/plugins/postgres/docker-args
  750. remote: ++ source /var/lib/dokku/plugins/postgres/config
  751. remote: +++ export POSTGRES_IMAGE=postgres
  752. remote: +++ POSTGRES_IMAGE=postgres
  753. remote: +++ export POSTGRES_IMAGE_VERSION=9.5
  754. remote: +++ POSTGRES_IMAGE_VERSION=9.5
  755. remote: +++ export POSTGRES_ROOT=/var/lib/dokku/services/postgres
  756. remote: +++ POSTGRES_ROOT=/var/lib/dokku/services/postgres
  757. remote: +++ export PLUGIN_COMMAND_PREFIX=postgres
  758. remote: +++ PLUGIN_COMMAND_PREFIX=postgres
  759. remote: +++ export PLUGIN_DATA_ROOT=/var/lib/dokku/services/postgres
  760. remote: +++ PLUGIN_DATA_ROOT=/var/lib/dokku/services/postgres
  761. remote: +++ export PLUGIN_DATASTORE_PORT=5432
  762. remote: +++ PLUGIN_DATASTORE_PORT=5432
  763. remote: +++ export PLUGIN_DEFAULT_ALIAS=DATABASE
  764. remote: +++ PLUGIN_DEFAULT_ALIAS=DATABASE
  765. remote: +++ export PLUGIN_IMAGE=postgres
  766. remote: +++ PLUGIN_IMAGE=postgres
  767. remote: +++ export PLUGIN_IMAGE_VERSION=9.5
  768. remote: +++ PLUGIN_IMAGE_VERSION=9.5
  769. remote: +++ export PLUGIN_SCHEME=postgres
  770. remote: +++ PLUGIN_SCHEME=postgres
  771. remote: +++ export PLUGIN_SERVICE=Postgres
  772. remote: +++ PLUGIN_SERVICE=Postgres
  773. remote: ++ dirname /var/lib/dokku/plugins/postgres/docker-args
  774. remote: + source /var/lib/dokku/plugins/postgres/config
  775. remote: ++ export POSTGRES_IMAGE=postgres
  776. remote: ++ POSTGRES_IMAGE=postgres
  777. remote: ++ export POSTGRES_IMAGE_VERSION=9.5
  778. remote: ++ POSTGRES_IMAGE_VERSION=9.5
  779. remote: ++ export POSTGRES_ROOT=/var/lib/dokku/services/postgres
  780. remote: ++ POSTGRES_ROOT=/var/lib/dokku/services/postgres
  781. remote: ++ export PLUGIN_COMMAND_PREFIX=postgres
  782. remote: ++ PLUGIN_COMMAND_PREFIX=postgres
  783. remote: ++ export PLUGIN_DATA_ROOT=/var/lib/dokku/services/postgres
  784. remote: ++ PLUGIN_DATA_ROOT=/var/lib/dokku/services/postgres
  785. remote: ++ export PLUGIN_DATASTORE_PORT=5432
  786. remote: ++ PLUGIN_DATASTORE_PORT=5432
  787. remote: ++ export PLUGIN_DEFAULT_ALIAS=DATABASE
  788. remote: ++ PLUGIN_DEFAULT_ALIAS=DATABASE
  789. remote: ++ export PLUGIN_IMAGE=postgres
  790. remote: ++ PLUGIN_IMAGE=postgres
  791. remote: ++ export PLUGIN_IMAGE_VERSION=9.5
  792. remote: ++ PLUGIN_IMAGE_VERSION=9.5
  793. remote: ++ export PLUGIN_SCHEME=postgres
  794. remote: ++ PLUGIN_SCHEME=postgres
  795. remote: ++ export PLUGIN_SERVICE=Postgres
  796. remote: ++ PLUGIN_SERVICE=Postgres
  797. remote: ++ cat
  798. remote: + STDIN=
  799. remote: + APP=test-static-buildpack
  800. remote: + output=
  801. remote: + for i in '$PLUGIN_DATA_ROOT/*'
  802. remote: + [[ -d /var/lib/dokku/services/postgres/jaime_johnson_staging ]]
  803. remote: ++ echo /var/lib/dokku/services/postgres/jaime_johnson_staging
  804. remote: ++ cut -d/ -f 7
  805. remote: + SERVICE=jaime_johnson_staging
  806. remote: + LINKS_FILE=/var/lib/dokku/services/postgres/jaime_johnson_staging/LINKS
  807. remote: ++ service_alias jaime_johnson_staging
  808. remote: ++ local SERVICE=jaime_johnson_staging
  809. remote: ++ local ALIAS_FILE=/var/lib/dokku/services/postgres/jaime_johnson_staging/ALIAS
  810. remote: ++ verify_service_name jaime_johnson_staging
  811. remote: ++ local SERVICE=jaime_johnson_staging
  812. remote: ++ [[ ! -n jaime_johnson_staging ]]
  813. remote: ++ [[ ! -d /var/lib/dokku/services/postgres/jaime_johnson_staging ]]
  814. remote: ++ return 0
  815. remote: ++ [[ -f /var/lib/dokku/services/postgres/jaime_johnson_staging/ALIAS ]]
  816. remote: ++ echo DATABASE
  817. remote: + ALIAS=DATABASE
  818. remote: ++ service_url jaime_johnson_staging
  819. remote: ++ local SERVICE=jaime_johnson_staging
  820. remote: ++ local SERVICE_ROOT=/var/lib/dokku/services/postgres/jaime_johnson_staging
  821. remote: +++ cat /var/lib/dokku/services/postgres/jaime_johnson_staging/ID
  822. remote: ++ local ID=d17c44d11490f5c63101a05ce32c241ce7de5b93b86a39533540dbce39f06f1c
  823. remote: +++ get_container_ip d17c44d11490f5c63101a05ce32c241ce7de5b93b86a39533540dbce39f06f1c
  824. remote: +++ docker inspect --format '{{ .NetworkSettings.IPAddress }}' d17c44d11490f5c63101a05ce32c241ce7de5b93b86a39533540dbce39f06f1c
  825. remote: ++ local IP=172.17.0.8
  826. remote: +++ cat /var/lib/dokku/services/postgres/jaime_johnson_staging/PASSWORD
  827. remote: ++ local PASSWORD=MjM2MTMyMTg2OTVm
  828. remote: ++ echo postgres://postgres:MjM2MTMyMTg2OTVm@172.17.0.8:5432/jaime_johnson_staging
  829. remote: + SERVICE_URL=postgres://postgres:MjM2MTMyMTg2OTVm@172.17.0.8:5432/jaime_johnson_staging
  830. remote: + [[ -f /var/lib/dokku/services/postgres/jaime_johnson_staging/LINKS ]]
  831. remote: + read line
  832. remote: + [[ jaime-johnson-staging == \t\e\s\t\-\s\t\a\t\i\c\-\b\u\i\l\d\p\a\c\k ]]
  833. remote: + read line
  834. remote: + echo ''
  835. remote: + DOCKER_ARGS=
  836. remote: ++ :
  837. remote: ++ pluginhook docker-args-build test-static-buildpack
  838. remote: ++ dirname /var/lib/dokku/plugins/20_events/docker-args-build
  839. remote: + source /var/lib/dokku/plugins/20_events/../common/functions
  840. remote: ++ set -eo pipefail
  841. remote: ++ [[ -n 1 ]]
  842. remote: ++ set -x
  843. remote: + [[ ! -n '' ]]
  844. remote: ++ cat
  845. remote: + STDIN=
  846. remote: + APP=test-static-buildpack
  847. remote: + case "$0" in
  848. remote: + PHASE=BUILD
  849. remote: + FILE_PREFIX=DOCKER_OPTIONS_
  850. remote: + PHASE_FILE_PATH=/home/dokku/test-static-buildpack/DOCKER_OPTIONS_BUILD
  851. remote: + output=
  852. remote: + [[ -f /home/dokku/test-static-buildpack/DOCKER_OPTIONS_BUILD ]]
  853. remote: + echo ''
  854. remote: + DOCKER_ARGS+=
  855. remote: ++ docker run -d -v /home/dokku/test-static-buildpack/cache:/cache -e CACHE_PATH=/cache dokku/test-static-buildpack /build
  856. remote: + id=964a1a03032f896c9b8952dc9738eb309ec98a541aa85a793d2c59ac17396fa0
  857. remote: + docker attach 964a1a03032f896c9b8952dc9738eb309ec98a541aa85a793d2c59ac17396fa0
  858. -----> Fetching custom buildpack
  859. remote: + exit_code=1
  860. remote: + set -e
  861. remote: + [[ 1 -eq 10 ]]
  862. remote: + implemented=1
  863. remote: + [[ 1 -ne 0 ]]
  864. remote: + exit 1
  865. remote: + exit_code=1
  866. remote: + set -e
  867. remote: + [[ 1 -eq 10 ]]
  868. remote: + implemented=1
  869. remote: + [[ 1 -ne 0 ]]
  870. remote: + exit 1
  871. remote: + exit_code=1
  872. remote: + set -e
  873. remote: + [[ 1 -eq 10 ]]
  874. remote: + implemented=1
  875. remote: + [[ 1 -ne 0 ]]
  876. remote: + exit 1
  877. remote: + exit_code=1
  878. remote: + set -e
  879. remote: + [[ 1 -eq 10 ]]
  880. remote: + implemented=1
  881. remote: + [[ 1 -ne 0 ]]
  882. remote: + exit 1
  883. + exit_code=0
  884. + set -e
  885. + [[ 0 -eq 10 ]]
  886. + implemented=1
  887. + [[ 0 -ne 0 ]]
  888. + for script in '$PLUGIN_PATH/*/commands'
  889. + set +e
  890. + /var/lib/dokku/plugins/nginx-vhosts/commands git-receive-pack ''\''test-static-buildpack'\'''
  891. ++ dirname /var/lib/dokku/plugins/nginx-vhosts/commands
  892. + source /var/lib/dokku/plugins/nginx-vhosts/../common/functions
  893. ++ set -eo pipefail
  894. ++ [[ -n 1 ]]
  895. ++ set -x
  896. + case "$1" in
  897. + exit 10
  898. + exit_code=10
  899. + set -e
  900. + [[ 10 -eq 10 ]]
  901. + continue
  902. + for script in '$PLUGIN_PATH/*/commands'
  903. + set +e
  904. + /var/lib/dokku/plugins/postgres/commands git-receive-pack ''\''test-static-buildpack'\'''
  905. ++ dirname /var/lib/dokku/plugins/postgres/commands
  906. + source /var/lib/dokku/plugins/postgres/../common/functions
  907. ++ set -eo pipefail
  908. ++ [[ -n 1 ]]
  909. ++ set -x
  910. ++ dirname /var/lib/dokku/plugins/postgres/commands
  911. + source /var/lib/dokku/plugins/postgres/functions
  912. ++ set -eo pipefail
  913. ++ [[ -n 1 ]]
  914. ++ set -x
  915. +++ dirname /var/lib/dokku/plugins/postgres/commands
  916. ++ source /var/lib/dokku/plugins/postgres/config
  917. +++ export POSTGRES_IMAGE=postgres
  918. +++ POSTGRES_IMAGE=postgres
  919. +++ export POSTGRES_IMAGE_VERSION=9.5
  920. +++ POSTGRES_IMAGE_VERSION=9.5
  921. +++ export POSTGRES_ROOT=/var/lib/dokku/services/postgres
  922. +++ POSTGRES_ROOT=/var/lib/dokku/services/postgres
  923. +++ export PLUGIN_COMMAND_PREFIX=postgres
  924. +++ PLUGIN_COMMAND_PREFIX=postgres
  925. +++ export PLUGIN_DATA_ROOT=/var/lib/dokku/services/postgres
  926. +++ PLUGIN_DATA_ROOT=/var/lib/dokku/services/postgres
  927. +++ export PLUGIN_DATASTORE_PORT=5432
  928. +++ PLUGIN_DATASTORE_PORT=5432
  929. +++ export PLUGIN_DEFAULT_ALIAS=DATABASE
  930. +++ PLUGIN_DEFAULT_ALIAS=DATABASE
  931. +++ export PLUGIN_IMAGE=postgres
  932. +++ PLUGIN_IMAGE=postgres
  933. +++ export PLUGIN_IMAGE_VERSION=9.5
  934. +++ PLUGIN_IMAGE_VERSION=9.5
  935. +++ export PLUGIN_SCHEME=postgres
  936. +++ PLUGIN_SCHEME=postgres
  937. +++ export PLUGIN_SERVICE=Postgres
  938. +++ PLUGIN_SERVICE=Postgres
  939. ++ dirname /var/lib/dokku/plugins/postgres/commands
  940. + source /var/lib/dokku/plugins/postgres/config
  941. ++ export POSTGRES_IMAGE=postgres
  942. ++ POSTGRES_IMAGE=postgres
  943. ++ export POSTGRES_IMAGE_VERSION=9.5
  944. ++ POSTGRES_IMAGE_VERSION=9.5
  945. ++ export POSTGRES_ROOT=/var/lib/dokku/services/postgres
  946. ++ POSTGRES_ROOT=/var/lib/dokku/services/postgres
  947. ++ export PLUGIN_COMMAND_PREFIX=postgres
  948. ++ PLUGIN_COMMAND_PREFIX=postgres
  949. ++ export PLUGIN_DATA_ROOT=/var/lib/dokku/services/postgres
  950. ++ PLUGIN_DATA_ROOT=/var/lib/dokku/services/postgres
  951. ++ export PLUGIN_DATASTORE_PORT=5432
  952. ++ PLUGIN_DATASTORE_PORT=5432
  953. ++ export PLUGIN_DEFAULT_ALIAS=DATABASE
  954. ++ PLUGIN_DEFAULT_ALIAS=DATABASE
  955. ++ export PLUGIN_IMAGE=postgres
  956. ++ PLUGIN_IMAGE=postgres
  957. ++ export PLUGIN_IMAGE_VERSION=9.5
  958. ++ PLUGIN_IMAGE_VERSION=9.5
  959. ++ export PLUGIN_SCHEME=postgres
  960. ++ PLUGIN_SCHEME=postgres
  961. ++ export PLUGIN_SERVICE=Postgres
  962. ++ PLUGIN_SERVICE=Postgres
  963. + [[ ! -d /var/lib/dokku/services/postgres ]]
  964. + command -v psql
  965. + command -v pg_dump
  966. + case "$1" in
  967. + exit 10
  968. + exit_code=10
  969. + set -e
  970. + [[ 10 -eq 10 ]]
  971. + continue
  972. + for script in '$PLUGIN_PATH/*/commands'
  973. + set +e
  974. + /var/lib/dokku/plugins/ps/commands git-receive-pack ''\''test-static-buildpack'\'''
  975. ++ dirname /var/lib/dokku/plugins/ps/commands
  976. + source /var/lib/dokku/plugins/ps/../common/functions
  977. ++ set -eo pipefail
  978. ++ [[ -n 1 ]]
  979. ++ set -x
  980. ++ dirname /var/lib/dokku/plugins/ps/commands
  981. + source /var/lib/dokku/plugins/ps/functions
  982. ++ set -eo pipefail
  983. ++ [[ -n 1 ]]
  984. ++ set -x
  985. +++ dirname /var/lib/dokku/plugins/ps/commands
  986. ++ source /var/lib/dokku/plugins/ps/../common/functions
  987. +++ set -eo pipefail
  988. +++ [[ -n 1 ]]
  989. +++ set -x
  990. + case "$1" in
  991. + exit 10
  992. + exit_code=10
  993. + set -e
  994. + [[ 10 -eq 10 ]]
  995. + continue
  996. + for script in '$PLUGIN_PATH/*/commands'
  997. + set +e
  998. + /var/lib/dokku/plugins/shell/commands git-receive-pack ''\''test-static-buildpack'\'''
  999. + case "$1" in
  1000. + exit 10
  1001. + exit_code=10
  1002. + set -e
  1003. + [[ 10 -eq 10 ]]
  1004. + continue
  1005. + [[ 1 -eq 0 ]]
  1006. + exit 0
  1007. To dokku@sanctuarycomputer.link:test-static-buildpack
  1008. ! [remote rejected] master -> master (pre-receive hook declined)
  1009. error: failed to push some refs to 'dokku@sanctuarycomputer.link:test-static-buildpack'
Advertisement
Add Comment
Please, Sign In to add comment
Advertisement